* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}


#div1 {
	/*<!-- 
		margin - the space generated outside the element. can be added on the 4 sides of the element/border
		
		padding - the space inside the element; between the border and the element can also be added in four sides

	*/
	/*margin: 100px 10px 5px 50px;*/
	/*margin/padding: 10px 70px 50px;*/
	/*margin/padding: 25px 100px;*/
	/*margin/padding: 50px;*/
	/*margin/padding-top/right/left/bottom:  <value>;*/
	border: 2px solid black;
	padding: 20px;
	background-color: red;
	height: 100px;
	width: 100px;
	display: inline-block;

	/*
		without box sizing/default: 
			width is calculated as: border+padding+content-width
			2px lb+20px lp+100px w+29px rp+2px rb
		
		by default, element's padding, and border are calculated on top of the content

		box-sizing: border-box; - determines how the dimentions of a box will be computed; padding and border are included in the width of the element.
	*/
}

		/*
		block - occupies the whole width of the element; breaks the line; h and w can be manipulated
		inline - occupies the size of the content; h and w cannot be set
		inline-block - works almost like an inline element wherein it will not start on a new line and will put elements beside each other; the h and w can be set
		*/

#div2 {
	border: 2px solid black;
	padding: 20px;
	background-color: orange;
	height: 100px;
	width: 100px;	
	display: inline-block;
	vertical-align: top;
}

#span1 {
	display: inline-block;
	border: 2px solid black;
	background-color: green;
	height: 100px;
	width: 100px;	
}

#span2 {
	display: inline-block;
	border: 2px solid black;
	background-color: blue;
	height: 100px;
	width: 100px;	
}